/* smux.h - SNMP proxy definitions (the name is historical) */

/* 
 * $Header$
 *
 *
 * $Log$
 */

/*
 *			  ISODE 8.0 NOTICE
 *
 *   Acquisition, use, and distribution of this module and related
 *   materials are subject to the restrictions of a license agreement.
 *   Consult the Preface in the User's Manual for the full terms of
 *   this agreement.
 *
 *
 *			4BSD/ISODE SNMPv2 NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions given in the file
 *    SNMPv2-READ-ME.
 *
 */


#ifndef	PEPYPATH
#include <isode/pepsy/SNMP-types.h>
#else
#include "SNMP-types.h"
#endif


extern	int	quantum;
extern	struct timeval my_boottime;


int	snmp_init ();
int	snmp_wait ();
int	snmp_response ();
int	snmp_trap ();
int	snmp_close ();

/*  */

#define	type_SNMP_SMUX__PDUs_get__request	type_SNMP_PDUs_get__request
#define	type_SNMP_SMUX__PDUs_get__next__request	type_SNMP_PDUs_get__next__request
#define	type_SNMP_SMUX__PDUs_get__response	type_SNMP_PDUs_response
#define	type_SNMP_SMUX__PDUs_set__request	type_SNMP_PDUs_set__request
#define	type_SNMP_SMUX__PDUs_trap		type_SNMP_PDUs_trap
