if {[info exists snmptcl_loaded(FDDI-SMT73-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(FDDI-SMT73-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC1155-SMI.tcl)]} {
    if {[file readable RFC1155-SMI.tcl]} {
	source RFC1155-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1155-SMI.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC1285-MIB.tcl)]} {
    if {[file readable RFC1285-MIB.tcl]} {
	source RFC1285-MIB.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1285-MIB.tcl }
    }
}

if {[catch { snmpinfo mibprop fddimib value }]} {
    if {[file readable FDDI-SMT73-MIB.defs]} {
	snmpmisc mibload FDDI-SMT73-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/FDDI-SMT73-MIB.defs
    }
}
