if {[info exists snmptcl_loaded(MTR-TEST-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(MTR-TEST-MIB.tcl)	1

if {![info exists snmptcl_loaded(SNMPv2-SMI.tcl)]} {
    if {[file readable SNMPv2-SMI.tcl]} {
	source SNMPv2-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/SNMPv2-SMI.tcl }
    }
}

if {[catch { snmpinfo mibprop mtrDemoMIB value }]} {
    if {[file readable MTR-TEST-MIB.defs]} {
	snmpmisc mibload MTR-TEST-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/MTR-TEST-MIB.defs
    }
}
