if {[info exists snmptcl_loaded(PPP-SEC-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(PPP-SEC-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC1155-SMI.tcl)]} {
    if {[file readable RFC1155-SMI.tcl]} {
	source RFC1155-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1155-SMI.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {![info exists snmptcl_loaded(PPP-LCP-MIB.tcl)]} {
    if {[file readable PPP-LCP-MIB.tcl]} {
	source PPP-LCP-MIB.tcl
    } else {
	catch { source $snmptcl_library/mibs/PPP-LCP-MIB.tcl }
    }
}

if {[catch { snmpinfo mibprop pppSecurity value }]} {
    if {[file readable PPP-SEC-MIB.defs]} {
	snmpmisc mibload PPP-SEC-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/PPP-SEC-MIB.defs
    }
}
