if {[info exists snmptcl_loaded(SOURCE-ROUTING-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(SOURCE-ROUTING-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC1155-SMI.tcl)]} {
    if {[file readable RFC1155-SMI.tcl]} {
	source RFC1155-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1155-SMI.tcl }
    }
}

if {![info exists snmptcl_loaded(BRIDGE-MIB.tcl)]} {
    if {[file readable BRIDGE-MIB.tcl]} {
	source BRIDGE-MIB.tcl
    } else {
	catch { source $snmptcl_library/mibs/BRIDGE-MIB.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {[catch { snmpinfo mibprop dot1dPortPair value }]} {
    if {[file readable SOURCE-ROUTING-MIB.defs]} {
	snmpmisc mibload SOURCE-ROUTING-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/SOURCE-ROUTING-MIB.defs
    }
}
