if {[info exists snmptcl_loaded(MAU-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(MAU-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC1155-SMI.tcl)]} {
    if {[file readable RFC1155-SMI.tcl]} {
	source RFC1155-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1155-SMI.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1215.tcl)]} {
    if {[file readable RFC-1215.tcl]} {
	source RFC-1215.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1215.tcl }
    }
}

if {[catch { snmpinfo mibprop snmpDot3MauMgt value }]} {
    if {[file readable MAU-MIB.defs]} {
	snmpmisc mibload MAU-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/MAU-MIB.defs
    }
}
