if {[info exists snmptcl_loaded(RFC1315-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(RFC1315-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC1213-MIB.tcl)]} {
    if {[file readable RFC1213-MIB.tcl]} {
	source RFC1213-MIB.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1213-MIB.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1155.tcl)]} {
    if {[file readable RFC-1155.tcl]} {
	source RFC-1155.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1155.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1215.tcl)]} {
    if {[file readable RFC-1215.tcl]} {
	source RFC-1215.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1215.tcl }
    }
}

if {[catch { snmpinfo mibprop frame-relay value }]} {
    if {[file readable RFC1315-MIB.defs]} {
	snmpmisc mibload RFC1315-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/RFC1315-MIB.defs
    }
}
