: run this script through /bin/sh

Z=/tmp/compile$$.tcl

for M in $*; do
    if mosy -t $M; then
	true
    else
	exit 1
    fi

    T=`dirname $M`/`basename $M .my`.tcl
    echo "\
if {[catch { source $T } result]} {
    puts stdout \$result
    exit 1
}
set firstime 1
foreach f [snmpmisc agentprop] { 
    if {\$firstime} {
        puts stdout \"creating AGENT-CAPABILITIES information\"
        set firstime 0
    }
    puts stdout \"    for [snmptcl_proc_oid2ode \$f]\"
    snmpmisc agentprop \$f dump
}
exit 0" > $Z

    if snmptcl -file $Z; then
	true
    else
	rm -f $Z
	exit 1
    fi
    rm -f $Z
done

exit 0
